/* style.css */

body {
  font-family: Arial, sans-serif;
  margin: 0;
  background-color: #1c1c1c;
  opacity: 0;
  animation: fadeIn 2s forwards;
  cursor: none;
}


.cursor{
  justify-content: center;
  align-items: center;
  z-index: 999;
  background-color: #0debff;
  width: 13px;
  height: 13px;
  position: fixed;
  border-radius: 50%;
  pointer-events: none;
  box-shadow: 0 0 13px #0debff,
              0 0 30px #0debff,
              0 0 50px #0debff,
              0 0 70px #0debff,
              0 0 80px #0debff;
              animation: colors 5s infinite;
}
@keyframes fadeIn {
  to {
      opacity: 1;
  }
}

.header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: #333;
  color: #fff;
  padding: 10px 20px;
  position: fixed;
  top: 0;
  width: 100%;
  z-index: 1000;
  box-shadow: 0 2px 10px rgba(0, 0, 0, 0.3);
  opacity: 0;
  animation: slideInDown 1s forwards;
}

@keyframes slideInDown {
  from {
      transform: translateY(-100%);
      opacity: 0;
  }
  to {
      transform: translateY(0);
      opacity: 1;
  }
}

.dichvu {
  text-align: center;
  width: 100%;
  padding-top: 30px;
}

.container {
  max-width: 1350px;
  margin: 0 auto;
  margin-top: 100px;
  opacity: 0;
  animation: slideIn 1s ease-out forwards;
}

@keyframes slideIn {
  from {
      transform: translateY(20px);
      opacity: 0;
  }
  to {
      transform: translateY(0);
      opacity: 1;
  }
}

.dichvu h3 {
  color: #fff;
  text-align: center;
  margin-bottom: 50px;
  font-family: 'name';
  opacity: 0;
  animation: fadeInUp 1s forwards;
}

@keyframes fadeInUp {
  from {
      transform: translateY(20px);
      opacity: 0;
  }
  to {
      transform: translateY(0);
      opacity: 1;
  }
}


.itemdichvu {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
}

.item {
  border-radius: 50px;
  padding: 20px;
  display: flex;
  flex-direction: column;
  width: 240px;
  box-shadow: 0 2px 5px rgba(255, 255, 255, 0.8);
  transition: transform 0.4s ease-in-out, box-shadow 0.3s ease-in-out;
  gap: 20px;
  align-items: center;
  justify-content: center;
  height: 290px;
  margin-bottom: 70px;
  opacity: 0;
  animation: fadeInUp 1s forwards;
}


.item:nth-child(1) {
  animation-delay: 0.3s;
}

.item:nth-child(2) {
  animation-delay: 0.6s;
}

.item:nth-child(3) {
  animation-delay: 0.9s;
}
.item:nth-child(4) {
  animation-delay: 1.2s;
}
.item:nth-child(5) {
  animation-delay: 1.5s;
}
.item:nth-child(6) {
  animation-delay: 1.8s;
}
.item:nth-child(7) {
  animation-delay: 2.1s;
}
.item:nth-child(8) {
  animation-delay: 2.4s;
}


.item:hover {
  transform: scale(1.3);
  box-shadow: 0 0 15px #0debff;
}

.item img {
  width: 100px;
  height: auto;
  margin-bottom: 10px;
}

.content {
  text-align: center;
}

.content h4 {
  margin-bottom: 10px;
  color: #fff;
  font-family: 'name';
}

.content p {
  font-size: 16px;
  color: #4bdbff;
  font-family: 'name2';
  padding-top: 10px;
}

.footer {
  text-align: center;
  margin-top: 40px;
  padding: 20px 0;
  background-color: #333;
  color: #999;
  opacity: 0;
  animation: fadeIn 2s forwards;
}

.footer p {
  font-size: 14px;
}

@font-face {
  font-family: 'ten';
  src: url('./font/GreatVibes-Regular.ttf');
}

@font-face {
  font-family: 'ten2';
  src: url('./font/NoticiaText-BoldItalic.ttf');
}

@font-face {
  font-family: 'name';
  src: url('./font/font_name.ttf');
}

@font-face {
  font-family: 'name2';
  src: url('./font/nghieng.ttf');
}

@font-face {
  font-family: 'content';
  src: url('./font/DMSans_36pt-Light.ttf');
}
